6.0.0-git
2019-03-20

[#11296] Distored folder list after (special) folder delete
Summary Distored folder list after (special) folder delete
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2434 days ago)
Due
Updated 2012-08-29 (2394 days ago)
Assigned
Resolved 2012-08-16 (2407 days ago)
Milestone
Patch No

History
2012-08-29 12:48:16 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 362a557c0432b418d2e108be1d23e1219159682a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 16 17:37:38 2012 -0600

     [mms] Fix regression in updating dynamic folder list when 
deleting parent mailboxes that contain children (Bug #11296).

  imp/docs/CHANGES   |    2 ++
  imp/js/dimpbase.js |   29 ++++++++++++++++++-----------
  imp/package.xml    |    2 ++
  3 files changed, 22 insertions(+), 11 deletions(-)

http://git.horde.org/horde-git/-/commit/362a557c0432b418d2e108be1d23e1219159682a
2012-08-18 16:51:57 Thomas Jarosch Comment #4 Reply to this comment
Worky worky. Thanks!

2012-08-16 23:38:26 Michael Slusarz State ⇒ Resolved
 
2012-08-16 23:37:57 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit 362a557c0432b418d2e108be1d23e1219159682a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 16 17:37:38 2012 -0600

     [mms] Fix regression in updating dynamic folder list when 
deleting parent mailboxes that contain children (Bug #11296).

  imp/docs/CHANGES   |    2 ++
  imp/js/dimpbase.js |   29 ++++++++++++++++++-----------
  imp/package.xml    |    2 ++
  3 files changed, 22 insertions(+), 11 deletions(-)

http://git.horde.org/horde-git/-/commit/362a557c0432b418d2e108be1d23e1219159682a
2012-07-28 14:00:20 Thomas Jarosch Comment #2
Assigned to Michael Slusarz
Reply to this comment
Michael, you are probably the right person to handle it.
Feel free to unassign if I am wrong.

2012-07-20 10:42:11 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Distored folder list after (special) folder delete
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I found a way to distort the folder list a little :o)

- Create a new folder "foo"
- Create a subfolder below "foo" called "bar".
- Now delete the parent "foo" folder
   -without- a recursive subfolder delete

-> The "bar" folder will move above "foo" in the folder list. "foo" is 
now below "bar" and still shows a little plus icon, even though it 
doesn't seem to contain a subfolder anymore.

When I refresh the folder list, the hierarchy is correct again ("bar" 
is located below "foo").

Thomas

Saved Queries